#VPKG=--pkg gdk-2.0 --pkg glib-2.0 --pkg gtk+-2.0 --pkg dbus-glib-1 --pkg ayyi
VPKG=--pkg gdk-2.0 --pkg glib-2.0 --pkg gtk+-2.0 --pkg dbus-glib-1
VDIR=--vapidir=../../ayyi

app.c: app.vala
	valac -H app.h -C ${VPKG} ${VDIR} app.vala

glarea.c: glarea.vala
	valac -H glarea.h --vapi=glarea.vapi -C ${VPKG} ${VDIR} glarea.vala

window.c: window.vala
	valac-0.48 -H window.h -C ${VPKG} ${VDIR} window.vala

statusbar.c: statusbar.vala
	valac-0.48 -H statusbar.h -C ${VPKG} ${VDIR} statusbar.vala

fader.c: fader.vala
	valac-0.48 -H fader.h -C ${VPKG} ${VDIR} fader.vala
